Package twisted :: Package scripts :: Module conch :: Class SSHUnixServerProtocol

[frames | no frames]

## Class SSHUnixServerProtocol

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              SSHUnixServerProtocol

Method Summary
| `__init__(self)`
| `_cbDeferred(self, result, di)`
| `_ebDeferred(self, reason, di)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `getChannel(self, channelID)`
| `haveChannel(self, channelID)`
| `returnDeferred(self, d)`
| `sendMessage(self, vocabName, *tup)`
| `server_adjustWindow(self, lst)`
| `server_cancelRemoteForwarding(self, lst)`
| `server_openChannel(self, lst)`
| `server_requestRemoteForwarding(self, lst)`
| `server_sendClose(self, lst)`
| `server_sendData(self, lst)`
| `server_sendEOF(self, lst)`
| `server_sendExtended(self, lst)`
| `server_sendGlobalRequest(self, lst)`
| `server_sendRequest(self, lst)`
Inherited from Canana
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`list` | `knownDialects` = `['pb', 'none']`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### expressionReceived(self, lst)

Called when an expression (list, string, or int) is received.

  Overrides:
    `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Generated by Epydoc 2.0 on Wed Feb 25 07:36:53 2004 | http://epydoc.sf.net